Name:           perl-Test-DBIx-Class
Version:        0.45
Release:        1%{?dist}
Summary:        Easier test cases for your DBIx::Class applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-DBIx-Class/
Source0:        http://www.cpan.org/authors/id/N/NE/NEWELLC/Test-DBIx-Class-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.0
BuildRequires:  perl(Config::Any) >= 0.19
BuildRequires:  perl(Data::UUID) >= 1.215
BuildRequires:  perl(Data::Visitor) >= 0.27
BuildRequires:  perl(DateTime::Format::Pg)
BuildRequires:  perl(DBIx::Class) >= 0.08123
BuildRequires:  perl(DBIx::Class::Schema::PopulateMore) >= 0.16
BuildRequires:  perl(DBIx::Class::TimeStamp) >= 0.13
BuildRequires:  perl(DBIx::Class::UUIDColumns) >= 0.02005
BuildRequires:  perl(Digest::MD5) >= 2.39
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Hash::Merge) >= 0.11
BuildRequires:  perl(List::MoreUtils) >= 0.22
BuildRequires:  perl(Module::Runtime) >= 0.013
BuildRequires:  perl(Moose) >= 1.10
BuildRequires:  perl(MooseX::Attribute::ENV) >= 0.01
BuildRequires:  perl(MooseX::Types) >= 0.23
BuildRequires:  perl(Path::Class) >= 0.21
BuildRequires:  perl(Scalar::Util) >= 1.23
BuildRequires:  perl(SQL::Translator) >= 0.11006
BuildRequires:  perl(Sub::Exporter) >= 0.982
BuildRequires:  perl(Test::Builder) >= 0.96
BuildRequires:  perl(Test::Deep) >= 0.106
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::mysqld) >= 0.14
BuildRequires:  perl(Test::PostgreSQL) >= 0.09
Requires:       perl(Config::Any) >= 0.19
Requires:       perl(Data::UUID) >= 1.215
Requires:       perl(Data::Visitor) >= 0.27
Requires:       perl(DateTime::Format::Pg)
Requires:       perl(DBIx::Class) >= 0.08123
Requires:       perl(DBIx::Class::Schema::PopulateMore) >= 0.16
Requires:       perl(DBIx::Class::TimeStamp) >= 0.13
Requires:       perl(DBIx::Class::UUIDColumns) >= 0.02005
Requires:       perl(Digest::MD5) >= 2.39
Requires:       perl(File::Path)
Requires:       perl(File::Temp)
Requires:       perl(Hash::Merge) >= 0.11
Requires:       perl(List::MoreUtils) >= 0.22
Requires:       perl(Module::Runtime) >= 0.013
Requires:       perl(Moose) >= 1.10
Requires:       perl(MooseX::Attribute::ENV) >= 0.01
Requires:       perl(MooseX::Types) >= 0.23
Requires:       perl(Path::Class) >= 0.21
Requires:       perl(Scalar::Util) >= 1.23
Requires:       perl(SQL::Translator) >= 0.11006
Requires:       perl(Sub::Exporter) >= 0.982
Requires:       perl(Test::Builder) >= 0.96
Requires:       perl(Test::Deep) >= 0.106
Requires:       perl(Test::mysqld) >= 0.14
Requires:       perl(Test::PostgreSQL) >= 0.09
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The goal of this distribution is to make it easier to write test cases for
your DBIx::Class based applications. It does this in three ways. First, it
trys to make it easy to deploy your Schema. This can be to your dedicated
testing database, or a simple SQLite database. This allows you to run tests
without interfering with your development work and having to stop and set
up a testing database instance.

%prep
%setup -q -n Test-DBIx-Class-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 20 2016 Dave Cross <dave@mag-sol.com> 0.45-1
- Specfile autogenerated by cpanspec 1.78.
